---
title: "Getting Started"
description: "How to get started with Bolt"
date: 2022-12-28T15:36:19+01:00
lastmod: 2022-12-28T15:36:19+01:00
draft: false
weight: 50
images: []
tags: ["Bolt", "Guides"]
seo:
  title: "" # custom title (optional)
  description: "" # custom description (recommended)
  canonical: "" # custom canonical URL (optional)
  noindex: false # false (default) or true
---

Bolt is a minimal blog theme based on [Bolt.css](https://boltcss.com/).

## Features

- Minimal layout
- HTML elements styling based on [Bolt.css](https://boltcss.com/)
- Dark mode toggle based on [The Complete Guide to the Dark Mode Toggle](https://ryanfeigenbaum.com/dark-mode/)
- Tags
- Reading time
- Related posts
- CSS custom properties (variables)

## Test drive

- [View demo](https://bolt-hyas.netlify.app/)
- [Open in Gitpod](https://gitpod.io/#https://github.com/gethyas/bolt)

## Start your project

Run the following command to scaffold a Bolt project with recommended plugins.

```bash
npm create hyas@latest my-bolt-site -- --template bolt
```

## Next steps

- [Add a post](https://gethyas.com/docs/basics/pages/) to your Bolt site.
- Read about Hyas' [project structure](https://gethyas.com/docs/basics/project-structure/).
- Learn about Hyas' [commands](https://gethyas.com/docs/reference/commands/).

### Customize

Customize the CSS variables in `assets/scss/common/_variables.scss`.

## Resources

- [Hyas Docs](https://docs.gethyas.com/start-here/getting-started/)
- [Hyas Discussions](https://github.com/h-enk/hyas/discussions)
- [Bolt repository](https://github.com/gethyas/bolt)
